/*

Código fuente creado por JailDesigner (2020)
Empezado en Castalla el 15/07/2020.
Reescribiendo el código el 27/09/2022
Actualizando a la versión "Arcade Edition" en 08/05/2024

*/

#include <iostream>    // for basic_ostream, char_traits, operator<<, cout
#include <string>      // for basic_string, operator<<, string
#include "director.h"  // for Director

int main(int argc, char *argv[])
{
	std::cout << "Game start" << std::endl;

	// Crea el objeto Director
	Director *director = new Director(argc, argv);

	// Bucle principal
	const auto exit = director->run();

	// Destruye el objeto Director
	delete director;

	const auto endType = exit == 0 ? "keyboard" : "controller";
	std::cout << "\nGame end with " << endType << std::endl;

	return exit;
}
